- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b75c188a-a43a-4bb6-8b04-faec359dd03f
    creation_time: 2023-02-17T12:05:56.013085Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/sum03-2.i
      input_file_hashes:
        c/loops/sum03-2.i: f3ea688a1545b3bafe54147de3e42aca9be90a0cf7137921828beab11eeeb69a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/sum03-2.i
    file_hash: f3ea688a1545b3bafe54147de3e42aca9be90a0cf7137921828beab11eeeb69a
    line: 24
    column: 0
    function: main
  loop_invariant:
    string: sn == x*2
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ee59ca7a-5c6c-4139-8a50-7cce42a8556a
    creation_time: 2023-02-17T12:05:56.013359Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/sum03-2.i
      input_file_hashes:
        c/loops/sum03-2.i: f3ea688a1545b3bafe54147de3e42aca9be90a0cf7137921828beab11eeeb69a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/sum03-2.i
    file_hash: f3ea688a1545b3bafe54147de3e42aca9be90a0cf7137921828beab11eeeb69a
    line: 27
    column: 0
    function: main
  location_invariant:
    string: sn == x*2 || sn == 0
    type: assertion
    format: C

